Bug 137520 - Colibre: Some icons with text (like B, I, U, etc) are too big that make them unbalance with the rest of the icons
Summary: Colibre: Some icons with text (like B, I, U, etc) are too big that make them ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0 target:7.0.4 target:7.3....
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-16 07:12 UTC by Rizal Muttaqin
Modified: 2022-03-08 09:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
These icons are way too big (24.63 KB, image/png)
2020-10-16 07:12 UTC, Rizal Muttaqin
Details
This is how the icon should be, looks more balance (22.17 KB, image/png)
2020-10-16 22:02 UTC, Rizal Muttaqin
Details
Updated icons (32.28 KB, image/png)
2020-10-16 23:50 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-10-16 07:12:28 UTC
Created attachment 166400 [details]
These icons are way too big

Some icon in Colibre with font like B, I, U has too big appearance which make it unbalanced. It would be nice if they are shrunk to some degree to make it balance with other icon.

Version: 7.0.1.1
Build ID: <buildversion>
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: id-ID
Ubuntu package version: 1:7.0.1~rc1-0ubuntu0.18.04.1
Calc: threaded

Version: 7.1.0.0.alpha0+
Build ID: ce98648b85169fa0fb8b5d2de179b280a682bde0
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-10-15_07:15:41
Calc: threaded
Comment 1 V Stuart Foote 2020-10-16 21:32:31 UTC
Sorry, text glyphs in those icons (and the others hidden on the toolbar, i.e. shadow, outline, double underline) all seem correctly to scale relative to other icons in the theme.

If anything, the superscript/subscript, clear formatting and font color icons are a touch undersized--but then they are all just Icons.

=> WFM
Comment 2 Rizal Muttaqin 2020-10-16 22:02:48 UTC
Created attachment 166446 [details]
This is how the icon should be, looks more balance

(In reply to V Stuart Foote from comment #1)
> Sorry, text glyphs in those icons (and the others hidden on the toolbar,
> i.e. shadow, outline, double underline) all seem correctly to scale relative
> to other icons in the theme.
> 
> If anything, the superscript/subscript, clear formatting and font color
> icons are a touch undersized--but then they are all just Icons.
> 
> => WFM

We have discussed this issue in Telegram, and agree to make it smaller. Please have a look a little bit longer to the attachment above.
Comment 3 V Stuart Foote 2020-10-16 22:12:02 UTC
(In reply to Rizal Muttaqin from comment #2)
> Created attachment 166446 [details]
> This is how the icon should be, looks more balance
> 
> ...
> 
> We have discussed this issue in Telegram, and agree to make it smaller.
> Please have a look a little bit longer to the attachment above.

That looks OK I suppose seem a little too reduced, and is the "B" for Bold a few pixels too short? 

Also, were you going to tweak the Update Style and New Style with the "A" there to match the others?
Comment 4 andreas_k 2020-10-16 23:11:46 UTC
I don't like the shadow icon and the Strikeout could get some improvement. I don't like the line crossing.
Comment 5 Rizal Muttaqin 2020-10-16 23:50:17 UTC
Created attachment 166447 [details]
Updated icons

(In reply to V Stuart Foote from comment #3)

> That looks OK I suppose seem a little too reduced, and is the "B" for Bold a
> few pixels too short? 

No, it is aligned with others too.
 
> Also, were you going to tweak the Update Style and New Style with the "A"
> there to match the others?

I have not decided, but some other icons would be updated also like some icons in Formatting (Styles) toolbar
Comment 6 Rania Amina 2020-10-19 05:10:54 UTC
Totally agree with this change, it more professional for me.
Just need a bit polish in heading icons and all will great
Comment 7 Rizal Muttaqin 2020-10-19 05:27:34 UTC
(In reply to Rania Amina from comment #6)
> Totally agree with this change, it more professional for me.
> Just need a bit polish in heading icons and all will great

What kind of touch do you want to see from those Styles icons?
Comment 8 Ahmad Haris 2020-10-20 03:51:52 UTC
+100 for the changes, best match!
Comment 9 Rizal Muttaqin 2020-10-22 06:50:48 UTC
Looking at some views, Andreas Kainz (via Telegram), Rania Amina and Ahmad Haris are agree with this request while V Stuart Foote against it. I assume we have got decision.
Comment 10 V Stuart Foote 2020-10-22 13:35:32 UTC
(In reply to Rizal Muttaqin from comment #9)
@Rizal, apologies! I have no lingering objections, we know you have a deft touch with the visual design... Stuart

=> NEW
Comment 11 Rizal Muttaqin 2020-10-22 15:11:03 UTC
(In reply to V Stuart Foote from comment #10)
> (In reply to Rizal Muttaqin from comment #9)
> @Rizal, apologies! I have no lingering objections, we know you have a deft
> touch with the visual design... Stuart
> 
> => NEW

Thanks, but no need to apologize.
Comment 12 Commit Notification 2020-10-22 15:53:26 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f09cd9d20a01e8bf8e55d9ffc17ad3b3d7b20116

tdf#137520 shrink some text glyphs in icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-10-24 10:14:30 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/3df12bcc9717d9976f21867c9671d976515782e2

tdf#137520 shrink some text glyphs in icons

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2022-02-27 03:41:29 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/82fb397d1e228a37aad5fe5cc423c6b0b520f2a3

Colibre: tdf#137520 Adjust some icons size to make them balance (large size)

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2022-02-27 03:41:40 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/03ef44a8f3c392486acd7d42a5854c7594ff50b1

Colibre: tdf#137520 Adjust some icons size to make them balance (large size)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2022-02-27 03:42:49 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/61105658881ac0b05b2d92a3a6723a7b6a6f1d72

Colibre: tdf#137520 Adjust some icons size to make them balance

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2022-02-27 06:49:46 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/971f891e271c50793cbd0a814cbecf8224532ed9

Colibre: tdf#137520 Adjust some icons size to make them balance

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2022-02-27 21:51:58 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/258bd81bf80110e45f6af31253271d2317e11d49

Colibre: tdf#137520 Adjust some icons size to make them balance

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2022-02-28 01:28:00 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/694d031fe470683a2f8e0fd3ae443fc829b6e26d

Colibre: tdf#137520 Revise Text Capitalization, color and Strikethrough icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2022-02-28 05:24:50 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/5ad7e886ceb7e79fb73ca00bfce14d7f2d6e3b2c

Colibre: tdf#137520 Revise Text Capitalization, color and Strikethrough icons

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2022-03-08 08:41:38 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ddf4e817d2a9e005cdb26965014ae4e59da32b74

Colibre: tdf#137520 Increase & Decrease Font icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2022-03-08 08:51:00 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/f82d2a1698e559cf6c6c68d5758f95bcb7cd293d

Colibre: tdf#137520 Increase & Decrease Font icons

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2022-03-08 09:26:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/2bfa681fe0c0dffad9b56ffa716235e96f6cff66

Colibre: tdf#137520 Increase & Decrease Font icons

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.